#ifndef UART_H_
#define UART_H_

/********************************************************************/
/*                                                                  */
/*		Uart Funktionen zum Senden und Empfangen von Textfolgen		*/
/*		und 16bit,also short int ueber den uart.                    */
/*                                                                  */
/*		(C) Tilo Lutz, TiloLutz@gmx.de								*/
/*																	*/
/*		03.11.2006	Basisfunktionen von Marcus Moser bernommen.    */
/*					Gesammte funktionen ueberarbeitet und ergaenzt.	*/
/*      24.12.2006  Ueberarbeitung der Variablen und Kommentare     */
/*		20.01.2007  Umschreiben in Objekt							*/
/*																	*/
/*																	*/
/********************************************************************/

#include "aduc.h"

// Uart Funktionen
void UartInit (int rate);	// Initalisiere uart rate=Baudrate, z.B. 9600
void UartIrq (void);		// IRQ Funktion fuer Uart.
void UartStop (void);		// Deaktiviert den Uart
void UartPutChar (char ch);	// Sende Char ueber uart
char UartGetChar(void);		// Empfaengt charueber uart return=0, wenn kein Zeichen empfangen
void UartIrqDisable(void);	// Deaktiviert den Uart IRQ
void UartIrqEnable(void);	// Aktiviert den Uart IRQ


#endif /*UART_H_*/
